Add a person in copy, or make them the requester (the previous requester stays in copy; agent role) (desk:write)
POST /api/desk/v1/items/{ref}/participants
Module: Desk · operationId: createItemParticipant · Tag: Mail · Auth: access token (Authorization: Bearer <accessToken>)
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
ref |
path | string | yes | Item id or number |
Request body
application/json (required)
email(string (email), required)name(string)role(string): (one ofrequester,cc)
Example:
{
"email": "florian.moser@alpenhotel-seeblick.example",
"name": "Florian Moser",
"role": "cc"
}
Responses
- 200 Participants (
application/json)
Fields of the 200 answer:
items(array of Participant, required)addedBy(string): Login (e-mail) of who added the participantcontactRef(object): Masterdata contact person of the participantcreatedAt(string (date-time)): When the participant was addedemail(string): E-mail addressname(string): NamerequesterId(string): Requester idrole(string): requester or cc (in copy) (one ofrequester,cc)
Example 200 answer:
{
"items": [
{
"addedBy": "sophie.huber@muster-it.example",
"createdAt": "2026-11-17T07:12:00Z",
"email": "katrin.stadler@alpenhotel-seeblick.example",
"name": "Katrin Stadler",
"requesterId": "0a7b8c9d-1e2f-4a3b-8c5d-7e8f9a0b1c01",
"role": "requester"
},
{
"addedBy": "sophie.huber@muster-it.example",
"createdAt": "2026-11-18T09:20:00Z",
"email": "florian.moser@alpenhotel-seeblick.example",
"name": "Florian Moser",
"requesterId": "0a7b8c9d-1e2f-4a3b-8c5d-7e8f9a0b1c02",
"role": "cc"
}
]
}
Example request
curl -X POST 'https://api.mbcom.cloud/api/desk/v1/items/string/participants' \
-H "Authorization: Bearer $ACCESS_TOKEN" \
-H 'Content-Type: application/json' \
--data '{"email":"florian.moser@alpenhotel-seeblick.example","name":"Florian Moser","role":"cc"}'